%define tagname GKEYFILE_SHARP_0_1
%define relvers 0
%define tsuffix g07a401a
%define dsuffix 662c5c1

%global debug_package %{nil}

Name:           gkeyfile-sharp
Version:        0.1
Release:        3%{?dist}
Summary:        C# bindings for glib2's keyfile implementation

Group:          Development/Libraries
License:        LGPLv2
URL:            http://github.com/mono/%{name}
# Releases are tarballs downloaded from a tag at github.
# They are releases, but the file is generated on the fly.
# The actual URL is: http://github.com/mono/$name/tarball/$tagname
Source0:        mono-%{name}-%{tagname}-%{relvers}-%{tsuffix}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  glib2-devel
BuildRequires:  gtk-sharp2-devel
BuildRequires:  gtk-sharp2-gapi

%package devel
Summary:        Development files for gkeyfile-sharp
Requires:	pkgconfig
Requires:       %{name} = %{version}-%{release}

%description
C# bindings for glib2's keyfile implementation

%description devel
Development files for gkeyfile-sharp

%prep
%setup -q -n mono-%{name}-%{dsuffix}

%build
sed -i 's|${exec_prefix}/lib|@libdir@|' %{name}.pc.in # Fix libdir
sed -i 's|^\./configure.*||' autogen.sh # Remove the configure step, we'll do it manually
./autogen.sh
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
chmod 644 `find $RPM_BUILD_ROOT%{_libdir}/mono -name '*.dll.config'`
rm -f $RPM_BUILD_ROOT%{_libdir}/mono/%{name}/%{name}.dll.config

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog LICENSE.LGPL NEWS
%{_libdir}/mono/gac/%{name}
%{_libdir}/mono/%{name}

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Mon Oct 04 2010 Nathaniel McCallum <nathaniel@natemccallum.com> - 0.1-3
- Fix directory ownership

* Sun Oct 03 2010 Nathaniel McCallum <nathaniel@natemccallum.com> - 0.1-2
- Fix -devel requires (pkgconfig, base package)
- Disable debuginfo

* Wed Sep 29 2010 Nathaniel McCallum <nathaniel@natemccallum.com> - 0.1-1
- Initial version

